unit UIntro;

interface

uses
  JEN_Header,
  JEN_Math,
  Main,
  UDirector;

type
  TIntroScene = class(TScene)
    function GetName: String; override;
    procedure Load; override;
    procedure UnLoad; override;
    procedure Update(dt: LongInt); override;
    procedure Draw; override;
  end;

implementation

function TIntroScene.GetName: String;
begin
  Result := 'Intro';
end;

procedure TIntroScene.Load;
begin

end;

procedure TIntroScene.UnLoad;
begin

end;

procedure TIntroScene.Update;
begin
  Game.SceneDirector.LoadScene('Game');
end;

procedure TIntroScene.Draw;
begin

end;

end.
